Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.util
Interface ReadableColor

All Known Implementing Classes:
  Color

    public interface ReadableColor

Readonly interface for Colors

Version:
  $Revision: 2286 $ $Id: ReadableColor.java 2286 2006-03-23 19:32:21Z matzon $
Author:
  $Author: matzon $

Field Summary
`static ReadableColor` | `BLACK`
`static ReadableColor` | `BLUE`
`static ReadableColor` | `CYAN`
`static ReadableColor` | `DKGREY`
`static ReadableColor` | `GREEN`
`static ReadableColor` | `GREY`
`static ReadableColor` | `LTGREY`
`static ReadableColor` | `ORANGE`
`static ReadableColor` | `PURPLE`
`static ReadableColor` | `RED`
`static ReadableColor` | `WHITE`
`static ReadableColor` | `YELLOW`

Method Summary
`int` | `getAlpha()` Return the red component (0..255)
`byte` | `getAlphaByte()` Return the red component
`int` | `getBlue()` Return the red component (0..255)
`byte` | `getBlueByte()` Return the red component
`int` | `getGreen()` Return the red component (0..255)
`byte` | `getGreenByte()` Return the red component
`int` | `getRed()` Return the red component (0..255)
`byte` | `getRedByte()` Return the red component
`void` | `writeABGR(java.nio.ByteBuffer dest)` Write the ABGR color directly out to a ByteBuffer
`void` | `writeARGB(java.nio.ByteBuffer dest)` Write the ARGB color directly out to a ByteBuffer
`void` | `writeBGR(java.nio.ByteBuffer dest)` Write the BGR color directly out to a ByteBuffer
`void` | `writeBGRA(java.nio.ByteBuffer dest)` Write the BGRA color directly out to a ByteBuffer
`void` | `writeRGB(java.nio.ByteBuffer dest)` Write the RGB color directly out to a ByteBuffer
`void` | `writeRGBA(java.nio.ByteBuffer dest)` Write the RGBA color directly out to a ByteBuffer

Field Detail

### RED

    static final ReadableColor RED

### ORANGE

    static final ReadableColor ORANGE

### YELLOW

    static final ReadableColor YELLOW

### GREEN

    static final ReadableColor GREEN

### CYAN

    static final ReadableColor CYAN

### BLUE

    static final ReadableColor BLUE

### PURPLE

    static final ReadableColor PURPLE

### WHITE

    static final ReadableColor WHITE

### BLACK

    static final ReadableColor BLACK

### LTGREY

    static final ReadableColor LTGREY

### DKGREY

    static final ReadableColor DKGREY

### GREY

    static final ReadableColor GREY

Method Detail

### getRed

    int getRed()

  Return the red component (0..255)

  Returns:
    int

### getGreen

    int getGreen()

  Return the red component (0..255)

  Returns:
    int

### getBlue

    int getBlue()

  Return the red component (0..255)

  Returns:
    int

### getAlpha

    int getAlpha()

  Return the red component (0..255)

  Returns:
    int

### getRedByte

    byte getRedByte()

  Return the red component

  Returns:
    int

### getGreenByte

    byte getGreenByte()

  Return the red component

  Returns:
    int

### getBlueByte

    byte getBlueByte()

  Return the red component

  Returns:
    int

### getAlphaByte

    byte getAlphaByte()

  Return the red component

  Returns:
    int

### writeRGBA

    void writeRGBA(java.nio.ByteBuffer dest)

  Write the RGBA color directly out to a ByteBuffer

  Parameters:
    `dest` - the buffer to write to

### writeRGB

    void writeRGB(java.nio.ByteBuffer dest)

  Write the RGB color directly out to a ByteBuffer

  Parameters:
    `dest` - the buffer to write to

### writeABGR

    void writeABGR(java.nio.ByteBuffer dest)

  Write the ABGR color directly out to a ByteBuffer

  Parameters:
    `dest` - the buffer to write to

### writeBGR

    void writeBGR(java.nio.ByteBuffer dest)

  Write the BGR color directly out to a ByteBuffer

  Parameters:
    `dest` - the buffer to write to

### writeBGRA

    void writeBGRA(java.nio.ByteBuffer dest)

  Write the BGRA color directly out to a ByteBuffer

  Parameters:
    `dest` - the buffer to write to

### writeARGB

    void writeARGB(java.nio.ByteBuffer dest)

  Write the ARGB color directly out to a ByteBuffer

  Parameters:
    `dest` - the buffer to write to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.